# MSEdgeDiscardAnnouncements: An appModule to discard some of notifications generated by Microsoft Edge
# Copyright (C) 2022-2023 Beqa Gozalishvili
# Released under GPL 2

import addonHandler
from collections import namedtuple

addonHandler.initTranslation()

Settings = namedtuple("Settings", "configKey, label, defaultValue")
settingItems = [
    Settings("PageLoading", _("Announce loading of pages"), "boolean(default=false)"),
    Settings("RefreshingPage", _("Announce page refresh"), "boolean(default=false)"),
    Settings("ClosingTab", _("Announce closing of tab"), "boolean(default=false)"),
    Settings("OpeningNewTab", _("Announce Opening of new tab"), "boolean(default=false)"),
    Settings("OpeningWindow", _("Announce window opening"), "boolean(default=false)"),
    Settings("OpeningInPrivateWindow", _("Announce opening of inprivate window"), "boolean(default=false)"),
    Settings("HubDownloadsNewDownload", _("Announce starting file download"), "boolean(default=true)"),
    Settings("HubDownloadsCompleteState", _("Announce download completion"), "boolean(default=true)"),
    Settings("GoingBack", _("Announce navigating back"), "boolean(default=false)"),
    Settings("GoingForward", _("Announce navigating forward"), "boolean(default=false)"),
    Settings("CantGoBack", _("Announce if there is no previous page to navigate"), "boolean(default=false)"),
    Settings("CantGoForward", _("Announce if there is no next page to navigate"), "boolean(default=false)"),
    Settings("ToolbarButtonRemoved", _("Announce removing toolbar buttons"), "boolean(default=false)"),
    Settings("SearchMode", _("Announce of search mode"), "boolean(default=false)"),
    Settings("SearchModeAvailable", _("Announce availability of search mode"), "boolean(default=false)"),
    Settings("NotificationAppear", _("Announce appearing of notifications"), "boolean(default=false)"),
    Settings("HubDownloadsIndeterminateProgressState", _("Announce indeterminate progress state of current download"), "boolean(default=false)"),
    Settings("Autofill option here", _("Announce autofil suggestions"), "boolean(default=false)"),
    Settings("AutofillSuggestionFilled", _("Announce filling of autofill suggestions"), "boolean(default=false)"),
    Settings("PopupClosed", _("Announce Closing popups like hiding  suggestions of autofill"), "boolean(default=false)"),
    Settings("AutofillSuggestionHideButton", _("Announce hiding  autofill suggestions"), "boolean(default=false)"),
    Settings("UpdateNotification", _("Announce microsoft edge update availability"), "boolean(default=false)"),
    Settings("PageZoom", _("Announce zoom changes"), "boolean(default=true)"),
    Settings("ShowSuggestions", _("Show suggestions while typing in addressbar"), "boolean(default=true)")
]
